=== debian/changelog ===
ros-foxy-rmw-fastrtps-cpp (1.3.2-1focal) focal; urgency=high

  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>) (#652 <https://github.com/ros2/rmw_fastrtps/issues/652>)
  * Contributors: Oscarchoi

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.3.1-1focal) focal; urgency=high

  * Handle exception on deserializing ROS message (#603 <https://github.com/ros2/rmw_fastrtps/issues/603>)
  * Contributors: Erki Suurjaak, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jul 2022 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.3.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.6-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 31 Aug 2021 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.5-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#521 <https://github.com/eProsima/rmw_fastrtps/issues/521>)
  * Contributors: Simon Honigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.4-1focal) focal; urgency=high

  * Discriminate when the Client has gone from when the Client has not completely matched (#479 <https://github.com/ros2/rmw_fastrtps/issues/479>)
  * Contributors: Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.3-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#474 <https://github.com/ros2/rmw_fastrtps/issues/474>)
  * Updated QD
  * Provide external dependencies QD links
  * Update Quality Declarations to QL3 (#404 <https://github.com/ros2/rmw_fastrtps/issues/404>)(#403 <https://github.com/ros2/rmw_fastrtps/issues/403>)
  * Contributors: Alejandro Hernández Cordero, JLBuenoLopez-eProsima, Michael Jeronimo, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 10 Nov 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.2-1focal) focal; urgency=high

  * Fixed test
  * Set context actual domain id (#410 <https://github.com/ros2/rmw_fastrtps/issues/410>)
  * Fixed rmw_create_node
  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#452 <https://github.com/ros2/rmw_fastrtps/issues/452>)
  * Updated rmw_* return codes (#443 <https://github.com/ros2/rmw_fastrtps/issues/443>)
  * Make service/client construction/destruction implementation compliant (#445 <https://github.com/ros2/rmw_fastrtps/issues/445>)
  * Added rmw_logging tests (#442 <https://github.com/ros2/rmw_fastrtps/issues/442>)
  * Add tests for native entity getters (#439 <https://github.com/ros2/rmw_fastrtps/issues/439>)
  * Avoid deadlock if graph update fails. (#438 <https://github.com/ros2/rmw_fastrtps/issues/438>)
  * Ensure compliant publisher QoS queries. (#425 <https://github.com/ros2/rmw_fastrtps/issues/425>)
  * Ensure compliant matched pub/sub count API. (#424 <https://github.com/ros2/rmw_fastrtps/issues/424>)
  * Ensure compliant subscription API. (#419 <https://github.com/ros2/rmw_fastrtps/issues/419>)
  * Ensure compliant publisher API. (#414 <https://github.com/ros2/rmw_fastrtps/issues/414>)
  * Amend rmw_init() implementation: require enclave. (#406 <https://github.com/ros2/rmw_fastrtps/issues/406>)
  * Ensure compliant init/shutdown API implementation. (#401 <https://github.com/ros2/rmw_fastrtps/issues/401>)
  * Finalize context iff shutdown. (#396 <https://github.com/ros2/rmw_fastrtps/issues/396>)
  * Ensure compliant node construction/destruction API. (#408 <https://github.com/ros2/rmw_fastrtps/issues/408>)
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 15 Oct 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.2.0-1focal) focal; urgency=high

  * Make service wait for response reader (#390 <https://github.com/ros2/rmw_fastrtps/issues/390>) (#412 <https://github.com/ros2/rmw_fastrtps/issues/412>)
  * Contributors: Miguel Company

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 21 Jul 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.0.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.0.1-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#389 <https://github.com/ros2/rmw_fastrtps/issues/389>)
  * Update QDs for 1.0 (#383 <https://github.com/ros2/rmw_fastrtps/issues/383>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (1.0.0-1focal) focal; urgency=high

  * Remove API related to manual by node liveliness.  (#379 <https://github.com/ros2/rmw_fastrtps/issues/379>)
  * Update quality declarations on feature testing. (#380 <https://github.com/ros2/rmw_fastrtps/issues/380>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (0.9.1-1focal) focal; urgency=high

  * Add package READMEs and QUALITY_DECLARATION files (#375 <https://github.com/ros2/rmw_fastrtps/issues/375>)
  * Added doxyfiles (#372 <https://github.com/ros2/rmw_fastrtps/issues/372>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-rmw-fastrtps-cpp (0.9.0-1focal) focal; urgency=high

  * Add missing export of rmw_dds_common. (#374 <https://github.com/ros2/rmw_fastrtps/issues/374>)

